Package com.norconex.commons.lang.convert

# Class GenericJsonModule

java.lang.Object
com.fasterxml.jackson.databind.Module
com.fasterxml.jackson.databind.module.SimpleModule
com.norconex.commons.lang.convert.GenericJsonModule

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

public class GenericJsonModule extends com.fasterxml.jackson.databind.module.SimpleModule
Jackson module providing (de)serializers for common types not handled natively by Jackson modules, or handled differently.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

  `com.fasterxml.jackson.databind.Module.SetupContext`

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

  `_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericJsonModule()`

- ## Method Summary

  ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

  `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

  ### Methods inherited from class com.fasterxml.jackson.databind.Module

  `getDependencies`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericJsonModule

    public GenericJsonModule()